%{?nodejs_find_provides_and_requires}

Name:           nodejs-sigmund
Version:        1.0.0
Release:        10%{?dist}
Summary:        Quick and dirty signatures for Objects
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

License:        BSD
URL:            https://github.com/isaacs/sigmund
Source0:        https://registry.npmjs.org/sigmund/-/sigmund-%{version}.tgz

BuildRequires:  nodejs-packaging

%description
Quick and dirty signatures for Objects.

This is like a much faster `deepEquals` comparison, which returns a
string key suitable for caches and the like.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/sigmund
cp -pr package.json sigmund.js %{buildroot}%{nodejs_sitelib}/sigmund

%files
%{nodejs_sitelib}/sigmund
%doc README.md bench.js
%license LICENSE

%changelog
* Sun Feb 07 2016 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-10
- cleanup spec

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-5
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-4
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package generated by npm2rpm
